Page MenuHomePhabricator

Update notifications & search icons (AMC & non-AMC)
Closed, ResolvedPublic1 Story Points

Description

Description

Currently we're using an out-of-date, outlined version of the notification/bell icon (see OOUI icon sheet). Bringing it up-to-date will align it visually with the user icon we're adding to the header for AMC users.

Design

non-AMCAMC

Icons:



Note: this update should apply to logged-out, logged-in, and logged-in AMC users (i.e. everybody)

Event Timeline

The 'user' icon featured in current task description is outdated.

ovasileva triaged this task as Normal priority.May 22 2019, 8:05 AM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.

The 'user' icon featured in current task description is outdated.

@Volker_E thanks for point that out, I've updated the image in the description to avoid confusion.

Change 521772 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Refresh the bell icon

https://gerrit.wikimedia.org/r/521772

@Volker_E I'm using the bell icon in core and this is what I get... which seems a little big:


Is this the desired result?
Is the SVG asset in core up to date?

@Jdlrobson as discussed in Slack we will actually be updating both the search and the bell icons as part of this task. I will update the task description and title accordingly.

Note: this update should apply to logged-out, logged-in, and logged-in AMC users (i.e. everybody).

alexhollender renamed this task from Update notifications icon (AMC & non-AMC) to Update notifications & search icons (AMC & non-AMC).Jul 11 2019, 9:24 PM
alexhollender updated the task description. (Show Details)
alexhollender updated the task description. (Show Details)
alexhollender updated the task description. (Show Details)

@Volker_E I'm using the bell icon in core and this is what I get... which seems a little big:


Is this the desired result?
Is the SVG asset in core up to date?

From a conversation with @alexhollender, it's not the bell icon that's big, it's the other ones that are too small. They have not been updated to the latest, due to lack of design resources – didn't want to put 1 filled icon into header, where MinervaNeue went for a more subtle design approach before.

Do we need to change hamburger icon too? Here's revised version:

Nirzar added a subscriber: Nirzar.Jul 17 2019, 8:36 PM

@Volker_E after talking to @Jdlrobson we think we should add the outline versions of those icons to OOUI and MWUI as variations of filled in one. then we can refer to them on the header to avoid future debt

Volker_E added a comment.EditedJul 18 2019, 2:47 PM

@Nirzar Sounds good, can go out into next weeks' OOUI release which would be in production train from Tue 30 July on. If there's urgent time sensitivity we could add them in an extra release before next Tue, which would land train next week.
In any case, we need the icons production-ready prepared as SVGs to proceed.

@Volker_E can we add them in as an extra release before next Tue?

and what needs to be done to the SVG?

Volker_E added a comment.EditedJul 18 2019, 4:03 PM

@Nirzar What I've said before – yes, we could. We'd need the outlined bell & updated search icon on the 20x20px canvas, and the outlined user icon, which is planned as well? So it's only the latter missing here right now from my understanding.

Jdlrobson reassigned this task from Jdlrobson to Volker_E.Jul 22 2019, 5:17 PM
Jdlrobson added a subscriber: Jdlrobson.

Change 524948 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Add 'bellOutline' and 'userAvatarOutline' and amend 'search'

https://gerrit.wikimedia.org/r/524948

Change 524948 merged by jenkins-bot:
[oojs/ui@master] icons: Add 'bellOutline' and 'userAvatarOutline' and amend 'search'

https://gerrit.wikimedia.org/r/524948

Change 524959 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.33.4

https://gerrit.wikimedia.org/r/524959

Change 524959 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.4

https://gerrit.wikimedia.org/r/524959

alexhollender removed alexhollender as the assignee of this task.Jul 25 2019, 3:01 AM

looks great. Will make a followup task for some slight tweaks but we're good to move forward. Here's what I'm seeing:

logged outlogged inAMC
iOS
Android

@Jdlrobson moving to signoff, however if you think there are reasons to QA this more extensively please move back to QA.

Change 521772 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Refresh the user, bell and search icon

https://gerrit.wikimedia.org/r/521772

Niedzielski closed this task as Resolved.Jul 25 2019, 5:05 PM
Niedzielski claimed this task.
Niedzielski added a subscriber: Niedzielski.

Looks good on BC